org.codehaus.plexus.util.xml

## Class XmlReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.codehaus.plexus.util.xml.XmlReaderException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XmlStreamReaderException

    public class XmlReaderException
    extends java.io.IOException

The XmlReaderException is thrown by the XmlReader constructors if the charset encoding can not be determined according to the XML 1.0 specification and RFC 3023.

The exception returns the unconsumed InputStream to allow the application to do an alternate processing with the stream. Note that the original InputStream given to the XmlReader cannot be used as that one has been already read.

Version:
  revision 1.1 taken on 26/06/2007 from Rome (see https://rome.dev.java.net/source/browse/rome/src/java/com/sun/syndication/io/XmlReaderException.java)
Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XmlReaderException(java.lang.String msg, java.lang.String bomEnc, java.lang.String xmlGuessEnc, java.lang.String xmlEnc, java.io.InputStream is)` Creates an exception instance if the charset encoding could not be determined.
`XmlReaderException(java.lang.String msg, java.lang.String ctMime, java.lang.String ctEnc, java.lang.String bomEnc, java.lang.String xmlGuessEnc, java.lang.String xmlEnc, java.io.InputStream is)` Creates an exception instance if the charset encoding could not be determined.

### Method Summary

Methods
`java.lang.String` `getBomEncoding()` Returns the BOM encoding found in the InputStream.
`java.lang.String` `getContentTypeEncoding()` Returns the encoding in the content-type used to attempt determining the encoding.
`java.lang.String` `getContentTypeMime()` Returns the MIME type in the content-type used to attempt determining the encoding.
`java.io.InputStream` `getInputStream()` Returns the unconsumed InputStream to allow the application to do an alternate encoding detection on the InputStream.
`java.lang.String` `getXmlEncoding()` Returns the encoding found in the XML prolog of the InputStream.
`java.lang.String` `getXmlGuessEncoding()` Returns the encoding guess based on the first bytes of the InputStream.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlReaderException

    public XmlReaderException(java.lang.String msg,
                      java.lang.String bomEnc,
                      java.lang.String xmlGuessEnc,
                      java.lang.String xmlEnc,
                      java.io.InputStream is)

Creates an exception instance if the charset encoding could not be determined.

Instances of this exception are thrown by the XmlReader.

Parameters:
  `msg` - message describing the reason for the exception.
  `bomEnc` - BOM encoding.
  `xmlGuessEnc` - XML guess encoding.
  `xmlEnc` - XML prolog encoding.
  `is` - the unconsumed InputStream.

#### XmlReaderException

    public XmlReaderException(java.lang.String msg,
                      java.lang.String ctMime,
                      java.lang.String ctEnc,
                      java.lang.String bomEnc,
                      java.lang.String xmlGuessEnc,
                      java.lang.String xmlEnc,
                      java.io.InputStream is)

Creates an exception instance if the charset encoding could not be determined.

Instances of this exception are thrown by the XmlReader.

Parameters:
  `msg` - message describing the reason for the exception.
  `ctMime` - MIME type in the content-type.
  `ctEnc` - encoding in the content-type.
  `bomEnc` - BOM encoding.
  `xmlGuessEnc` - XML guess encoding.
  `xmlEnc` - XML prolog encoding.
  `is` - the unconsumed InputStream.

### Method Detail

#### getBomEncoding

    public java.lang.String getBomEncoding()

Returns the BOM encoding found in the InputStream.

Returns:
  the BOM encoding, null if none.

#### getXmlGuessEncoding

    public java.lang.String getXmlGuessEncoding()

Returns the encoding guess based on the first bytes of the InputStream.

Returns:
  the encoding guess, null if it couldn't be guessed.

#### getXmlEncoding

    public java.lang.String getXmlEncoding()

Returns the encoding found in the XML prolog of the InputStream.

Returns:
  the encoding of the XML prolog, null if none.

#### getContentTypeMime

    public java.lang.String getContentTypeMime()

Returns the MIME type in the content-type used to attempt determining the encoding.

Returns:
  the MIME type in the content-type, null if there was not content-type or the encoding detection did not involve HTTP.

#### getContentTypeEncoding

    public java.lang.String getContentTypeEncoding()

Returns the encoding in the content-type used to attempt determining the encoding.

Returns:
  the encoding in the content-type, null if there was not content-type, no encoding in it or the encoding detection did not involve HTTP.

#### getInputStream

    public java.io.InputStream getInputStream()

Returns the unconsumed InputStream to allow the application to do an alternate encoding detection on the InputStream.

Returns:
  the unconsumed InputStream.